# DCM/DFA Reporting And Trafficking API . connectionTypes

## Instance Methods

Gets one connection type by ID.

Retrieves a list of connection types.

### Method Details

`get(profileId, id)`

    Gets one connection type by ID.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      id: string, Connection type ID. (required)

    Returns:
      An object of the form:

        { # Contains information about an internet connection type that can be targeted by ads. Clients can use the connection type to target mobile vs. broadband users.
        "kind": "dfareporting#connectionType", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#connectionType".
        "id": "A String", # ID of this connection type.
        "name": "A String", # Name of this connection type.
      }

`list(profileId)`

    Retrieves a list of connection types.

    Args:
      profileId: string, User profile ID associated with this request. (required)

    Returns:
      An object of the form:

        { # Connection Type List Response
        "kind": "dfareporting#connectionTypesListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#connectionTypesListResponse".
        "connectionTypes": [ # Collection of connection types such as broadband and mobile.
          { # Contains information about an internet connection type that can be targeted by ads. Clients can use the connection type to target mobile vs. broadband users.
            "kind": "dfareporting#connectionType", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#connectionType".
            "id": "A String", # ID of this connection type.
            "name": "A String", # Name of this connection type.
          },
        ],
      }